package com.yfd.platform.modules.auxcontrol.domain;

import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;
import java.time.temporal.ChronoUnit;
import java.util.List;

/**
 * 时间配置类（内部类）
 */
public class TimeConfig {

    private List<LocalDateTime> timeSlots;
    private DateTimeFormatter formatter;
    private ChronoUnit truncateUnit;

    public TimeConfig(List<LocalDateTime> timeSlots, DateTimeFormatter formatter, ChronoUnit truncateUnit) {
        this.timeSlots = timeSlots;
        this.formatter = formatter;
        this.truncateUnit = truncateUnit;
    }

    public void setFormatter(DateTimeFormatter formatter) {
        this.formatter = formatter;
    }

    public ChronoUnit getTruncateUnit() {
        return truncateUnit;
    }

    public void setTimeSlots(List<LocalDateTime> timeSlots) {
        this.timeSlots = timeSlots;
    }

    public DateTimeFormatter getFormatter() {
        return formatter;
    }

    public List<LocalDateTime> getTimeSlots() {
        return timeSlots;
    }

    public void setTruncateUnit(ChronoUnit truncateUnit) {
        this.truncateUnit = truncateUnit;
    }
}
